%?mingw_package_header

%global         api_version      1.0
%global         gstreamer_version %{api_version}.6

Name:    mingw-gstreamer1-plugins-base
Version: %{gstreamer_version}
Release: 2%{?dist}
Summary: Cross compiled GStreamer1 media framework base plug-ins

Group:   Applications/Multimedia
License: LGPLv2+
URL:     http://gstreamer.freedesktop.org/
Source:  http://gstreamer.freedesktop.org/src/gst-plugins-base/gst-plugins-base-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-gettext
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-gstreamer1 >= %{gstreamer_version}
BuildRequires:  mingw32-libogg >= 1.0
BuildRequires:  mingw32-libvorbis >= 1.0
#BuildRequires:  mingw32-libtheora >= 1.0
#BuildRequires:  mingw32-orc >= 0.4.11
BuildRequires:  mingw32-gtk3
BuildRequires:  mingw32-pango
BuildRequires:  mingw32-libxml2

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-gettext
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw64-gstreamer1 >= %{gstreamer_version}
BuildRequires:  mingw64-libogg >= 1.0
BuildRequires:  mingw64-libvorbis >= 1.0
#BuildRequires:  mingw64-libtheora >= 1.0
#BuildRequires:  mingw64-orc >= 0.4.11
BuildRequires:  mingw64-gtk3
BuildRequires:  mingw64-pango
BuildRequires:  mingw64-libxml2

# We need glib-mkenums
BuildRequires:  glib2-devel


%description
GStreamer is a streaming media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This package contains a set of well-maintained base plug-ins.


# Win32
%package -n mingw32-gstreamer1-plugins-base
Summary:        Cross compiled GStreamer media framework base plug-ins
Requires:       mingw32-gstreamer1 >= %{gstreamer_version}

%description  -n mingw32-gstreamer1-plugins-base
GStreamer is a streaming media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This package contains a set of well-maintained base plug-ins.

# Win64
%package -n mingw64-gstreamer1-plugins-base
Summary:        Cross compiled GStreamer media framework base plug-ins
Requires:       mingw64-gstreamer1 >= %{gstreamer_version}

%description  -n mingw64-gstreamer1-plugins-base
GStreamer is a streaming media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This package contains a set of well-maintained base plug-ins.


%?mingw_debug_package


%prep
%setup -q -n gst-plugins-base-%{version}

%build
%mingw_configure                                                        \
    --with-package-name='Fedora MinGW GStreamer-plugins-base package'   \
    --with-package-origin='http://download.fedoraproject.org'           \
    --enable-experimental                                               \
    --disable-gtk-doc                                                   \
    --disable-static

%mingw_make %{?_smp_mflags}


%install
%mingw_make install DESTDIR=$RPM_BUILD_ROOT

# Clean out files that should not be part of the rpm.
rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/gstreamer-%{api_version}/*.a
rm -f $RPM_BUILD_ROOT%{mingw64_libdir}/gstreamer-%{api_version}/*.a
rm -f $RPM_BUILD_ROOT%{mingw32_bindir}/gst-visualise*
rm -f $RPM_BUILD_ROOT%{mingw64_bindir}/gst-visualise*
rm -f $RPM_BUILD_ROOT%{mingw32_mandir}/man1/*gst*
rm -f $RPM_BUILD_ROOT%{mingw64_mandir}/man1/*gst*
rm -rf $RPM_BUILD_ROOT%{mingw32_datadir}/gtk-doc
rm -rf $RPM_BUILD_ROOT%{mingw64_datadir}/gtk-doc

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete

mv $RPM_BUILD_ROOT%{mingw32_bindir}/%{mingw32_target}-gst-discoverer-%{api_version}.exe \
   $RPM_BUILD_ROOT%{mingw32_bindir}/gst-discoverer-%{api_version}.exe

mv $RPM_BUILD_ROOT%{mingw64_bindir}/%{mingw64_target}-gst-discoverer-%{api_version}.exe \
   $RPM_BUILD_ROOT%{mingw64_bindir}/gst-discoverer-%{api_version}.exe

%mingw_find_lang gst-plugins-base-%{api_version}


# Win32
%files -n mingw32-gstreamer1-plugins-base -f mingw32-gst-plugins-base-%{api_version}.lang
%doc AUTHORS COPYING README REQUIREMENTS

# libraries
%{mingw32_bindir}/gst-discoverer-%{api_version}.exe
%{mingw32_bindir}/libgstapp-%{api_version}-0.dll
%{mingw32_bindir}/libgstaudio-%{api_version}-0.dll
%{mingw32_bindir}/libgstfft-%{api_version}-0.dll
%{mingw32_bindir}/libgstpbutils-%{api_version}-0.dll
%{mingw32_bindir}/libgstriff-%{api_version}-0.dll
%{mingw32_bindir}/libgstrtp-%{api_version}-0.dll
%{mingw32_bindir}/libgstrtsp-%{api_version}-0.dll
%{mingw32_bindir}/libgstsdp-%{api_version}-0.dll
%{mingw32_bindir}/libgsttag-%{api_version}-0.dll
%{mingw32_bindir}/libgstvideo-%{api_version}-0.dll

# base plugins without external dependencies
%dir %{mingw32_libdir}/gstreamer-%{api_version}
%{mingw32_libdir}/gstreamer-%{api_version}/libgstadder.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstapp.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstaudioconvert.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstaudiorate.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstaudioresample.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstaudiotestsrc.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstencodebin.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstgio.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstplayback.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstsubparse.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgsttypefindfunctions.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstvideoconvert.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstvideorate.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstvideoscale.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstvideotestsrc.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstvolume.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgsttcp.dll

# base plugins with dependencies
%{mingw32_libdir}/gstreamer-%{api_version}/libgstogg.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstpango.dll
%{mingw32_libdir}/gstreamer-%{api_version}/libgstvorbis.dll

# plugin helper library headers
%{mingw32_includedir}/gstreamer-%{api_version}

%{mingw32_libdir}/libgstapp-%{api_version}.dll.a
%{mingw32_libdir}/libgstaudio-%{api_version}.dll.a
%{mingw32_libdir}/libgstfft-%{api_version}.dll.a
%{mingw32_libdir}/libgstpbutils-%{api_version}.dll.a
%{mingw32_libdir}/libgstriff-%{api_version}.dll.a
%{mingw32_libdir}/libgstrtp-%{api_version}.dll.a
%{mingw32_libdir}/libgstrtsp-%{api_version}.dll.a
%{mingw32_libdir}/libgstsdp-%{api_version}.dll.a
%{mingw32_libdir}/libgsttag-%{api_version}.dll.a
%{mingw32_libdir}/libgstvideo-%{api_version}.dll.a

# pkg-config files
%{mingw32_libdir}/pkgconfig/*.pc

%{mingw32_datadir}/gst-plugins-base

# Win64
%files -n mingw64-gstreamer1-plugins-base -f mingw64-gst-plugins-base-%{api_version}.lang
%doc AUTHORS COPYING README REQUIREMENTS

# libraries
%{mingw64_bindir}/gst-discoverer-%{api_version}.exe
%{mingw64_bindir}/libgstapp-%{api_version}-0.dll
%{mingw64_bindir}/libgstaudio-%{api_version}-0.dll
%{mingw64_bindir}/libgstfft-%{api_version}-0.dll
%{mingw64_bindir}/libgstpbutils-%{api_version}-0.dll
%{mingw64_bindir}/libgstriff-%{api_version}-0.dll
%{mingw64_bindir}/libgstrtp-%{api_version}-0.dll
%{mingw64_bindir}/libgstrtsp-%{api_version}-0.dll
%{mingw64_bindir}/libgstsdp-%{api_version}-0.dll
%{mingw64_bindir}/libgsttag-%{api_version}-0.dll
%{mingw64_bindir}/libgstvideo-%{api_version}-0.dll

# base plugins without external dependencies
%dir %{mingw64_libdir}/gstreamer-%{api_version}
%{mingw64_libdir}/gstreamer-%{api_version}/libgstadder.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstapp.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstaudioconvert.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstaudiorate.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstaudioresample.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstaudiotestsrc.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstencodebin.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstgio.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstplayback.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstsubparse.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgsttypefindfunctions.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgsttcp.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstvideoconvert.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstvideorate.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstvideoscale.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstvideotestsrc.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstvolume.dll

# base plugins with dependencies
%{mingw64_libdir}/gstreamer-%{api_version}/libgstogg.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstpango.dll
%{mingw64_libdir}/gstreamer-%{api_version}/libgstvorbis.dll

# plugin helper library headers
%{mingw64_includedir}/gstreamer-%{api_version}

%{mingw64_libdir}/libgstapp-%{api_version}.dll.a
%{mingw64_libdir}/libgstaudio-%{api_version}.dll.a
%{mingw64_libdir}/libgstfft-%{api_version}.dll.a
%{mingw64_libdir}/libgstpbutils-%{api_version}.dll.a
%{mingw64_libdir}/libgstriff-%{api_version}.dll.a
%{mingw64_libdir}/libgstrtp-%{api_version}.dll.a
%{mingw64_libdir}/libgstrtsp-%{api_version}.dll.a
%{mingw64_libdir}/libgstsdp-%{api_version}.dll.a
%{mingw64_libdir}/libgsttag-%{api_version}.dll.a
%{mingw64_libdir}/libgstvideo-%{api_version}.dll.a

# pkg-config files
%{mingw64_libdir}/pkgconfig/*.pc

%{mingw64_datadir}/gst-plugins-base

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Apr 02 2013 Paweł Forysiuk <tuxator@o2.pl> - 1.0.6-1
- Initial packaging
